mb_ereg
mb_eregi
Multibyte String Functions
PHP Manual

# mb_eregi_replace

(PHP 4 >= 4.2.0, PHP 5)

mb_eregi_replace — Replace regular expression with multibyte support ignoring case

### Description

string mb_eregi_replace ( string `$pattern` , string `$replace` , string `$string` [, string `$option` = "msri" ] )

Scans `string` for matches to `pattern`, then replaces the matched text with `replacement`.

### Parameters

`pattern`

  The regular expression pattern. Multibyte characters may be used. The case will be ignored.

`replace`

  The replacement text.

`string`

  The searched string.

`option`
  `option` has the same meaning as in mb_ereg_replace().

### Return Values

The resultant string or `FALSE` on error.

### Notes

> Note:

> The internal encoding or the character encoding specified by mb_regex_encoding() will be used as the character encoding for this function.

Warning

Never use the e modifier when working on untrusted input. No automatic escaping will happen (as known from preg_replace()). Not taking care of this will most likely create remote code execution vulnerabilities in your application.

### See Also

- mb_regex_encoding() - Set/Get character encoding for multibyte regex
- mb_ereg_replace() - Replace regular expression with multibyte support

mb_ereg
mb_eregi
Multibyte String Functions
PHP Manual